TQScintilla: TQextScintillaLexerBash Class Reference

- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# TQextScintillaLexerBash Class Reference

The TQextScintillaLexerBash class encapsulates the Scintilla Bash lexer. More...

`#include <tqextscintillalexerbash.h>`

Inherits TQextScintillaLexer.

List of all members.

## Public Types

- Default = 0
- WhiteSpace = Default
- Error = 1
- Comment = 2
- Number = 3
- Keyword = 4
- DoubleQuotedString = 5
- SingleQuotedString = 6
- Operator = 7
- Identifier = 8
- Scalar = 9
- ParameterExpansion = 10
- Backticks = 11
- HereDocumentDelimiter = 12
- SingleQuotedHereDocument = 13
- enum {
  Default = 0, WhiteSpace = Default, Error = 1,
  Comment = 2, Number = 3, Keyword = 4,
  DoubleQuotedString = 5, SingleQuotedString = 6, Operator = 7,
  Identifier = 8, Scalar = 9, ParameterExpansion = 10,
  Backticks = 11, HereDocumentDelimiter = 12, SingleQuotedHereDocument = 13
  }

## Public Slots

- virtual void setFoldComments (bool fold)
- virtual void setFoldCompact (bool fold)

## Public Member Functions

- TQextScintillaLexerBash (TQObject *parent=0, const char *name=0)
- virtual ~TQextScintillaLexerBash ()
- const char * language () const
- const char * lexer () const
- int braceStyle () const
- const char * wordCharacters () const
- TQColor color (int style) const
- bool eolFill (int style) const
- TQFont font (int style) const
- const char * keywords (int set) const
- TQString description (int style) const
- TQColor paper (int style) const
- void refreshProperties ()
- bool foldComments () const
- bool foldCompact () const

## Protected Member Functions

- bool readProperties (TQSettings &qs, const TQString &prefix)
- bool writeProperties (TQSettings &qs, const TQString &prefix) const

## Detailed Description

The TQextScintillaLexerBash class encapsulates the Scintilla Bash lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the Bash lexer.

Enumerator:

  Default | The default.
  WhiteSpace | Deprecated: White space.
  Error | An error.
  Comment | A comment.
  Number | A number.
  Keyword | A keyword.
  DoubleQuotedString | A double-quoted string.
  SingleQuotedString | A single-quoted string.
  Operator | An operator.
  Identifier | An identifier.
  Scalar | A scalar.
  ParameterExpansion | Parameter expansion.
  Backticks | Backticks.
  HereDocumentDelimiter | A here document delimiter.
  SingleQuotedHereDocument | A single quoted here document.

## Constructor & Destructor Documentation

TQextScintillaLexerBash::TQextScintillaLexerBash | ( | TQObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a TQextScintillaLexerBash with parent parent and name name. parent is typically the TQextScintilla instance.

virtual TQextScintillaLexerBash::~TQextScintillaLexerBash | ( |  | ) | `[virtual]`

Destroys the TQextScintillaLexerBash instance.

## Member Function Documentation

const char* TQextScintillaLexerBash::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements TQextScintillaLexer.

const char* TQextScintillaLexerBash::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements TQextScintillaLexer.

TQColor TQextScintillaLexerBash::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from TQextScintillaLexer.

bool TQextScintillaLexerBash::eolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from TQextScintillaLexer.

TQFont TQextScintillaLexerBash::font | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from TQextScintillaLexer.

const char* TQextScintillaLexerBash::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from TQextScintillaLexer.

TQString TQextScintillaLexerBash::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then TQString() is returned. This is intended to be used in user preference dialogs.

Implements TQextScintillaLexer.

TQColor TQextScintillaLexerBash::paper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  color()

Reimplemented from TQextScintillaLexer.

void TQextScintillaLexerBash::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from TQextScintillaLexer.

bool TQextScintillaLexerBash::foldComments | ( |  | ) | const

Returns true if multi-line comment blocks can be folded.

See also:
  setFoldComments()

bool TQextScintillaLexerBash::foldCompact | ( |  | ) | const

Returns true if trailing blank lines are included in a fold block.

See also:
  setFoldCompact()

virtual void TQextScintillaLexerBash::setFoldComments | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then multi-line comment blocks can be folded. The default is false.

See also:
  foldComments()

virtual void TQextScintillaLexerBash::setFoldCompact | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then trailing blank lines are included in a fold block. The default is true.

See also:
  foldCompact()

bool TQextScintillaLexerBash::readProperties | ( | TQSettings & | qs,
|  | const TQString & | prefix |
| ) |  |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from TQextScintillaLexer.

bool TQextScintillaLexerBash::writeProperties | ( | TQSettings & | qs,
|  | const TQString & | prefix |
| ) |  |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from TQextScintillaLexer.